org.wildfly.swarm.config.management.access.constraint

## Class Type<T extends Type<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.management.access.constraint.Type<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class Type<T extends Type<T>>
      extends HashMap

  The application classification constraints by type. Type is either 'core' or the name of a subsystem.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Type.TypeResources` Child mutators for Type

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Type(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `classification(Classification value)` Add the Classification object to the list of subresources
    `T` | `classification(ClassificationSupplier supplier)` Install a supplied Classification object to the list of subresources
    `T` | `classification(String childKey)` Create and configure a Classification object to the list of subresources
    `T` | `classification(String childKey, ClassificationConsumer consumer)` Create and configure a Classification object to the list of subresources
    `T` | `classifications(List<Classification> value)` Add all Classification objects to this subresource
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Type.TypeResources` | `subresources()`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### Type

          public Type(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public Type.TypeResources subresources()

    - #### classifications

          public T classifications(List<Classification> value)

      Add all Classification objects to this subresource
      Parameters:
        `value` - List of Classification objects.
      Returns:
        this

    - #### classification

          public T classification(Classification value)

      Add the Classification object to the list of subresources
      Parameters:
        `value` - The Classification to add
      Returns:
        this

    - #### classification

          public T classification(String childKey,
                                  ClassificationConsumer consumer)

      Create and configure a Classification object to the list of subresources
      Parameters:
        `key` - The key for the Classification resource
        `config` - The ClassificationConsumer to use
      Returns:
        this

    - #### classification

          public T classification(String childKey)

      Create and configure a Classification object to the list of subresources
      Parameters:
        `key` - The key for the Classification resource
      Returns:
        this

    - #### classification

          public T classification(ClassificationSupplier supplier)

      Install a supplied Classification object to the list of subresources

Copyright © 2017 JBoss by Red Hat. All rights reserved.